[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

mediawiki{,-extensions} for wheezy (was Re: Updates in stable releases)

On Tue, 31 Dec 2013, Moritz Mühlenhoff wrote:

> You're referring to shipping the mediawiki 1.19.x branch for stable security
> updates? That sounds like a probable candidate from a quick glance. Please
> send a mail to team@security.debian.org, not everyone reads  debian-project

More or less. I want to fix a few non-security bugs first
(see below for that), and once that has hit stable, will
want to follow up with upstream 1.19.x LTS uploads but
no further non-security changes, unless they are RC or
otherwise important.

On Tue, 31 Dec 2013, Cyril Brulebois wrote:

> Thorsten Glaser <tg@debian.org> (2013-12-31):
> > Where do I send the diffs for prior review to? And where do I upload to
> > (stable-proposed-updates?)?
> http://www.debian.org/doc/manuals/developers-reference/pkgs.html#upload-stable

So I guess this is what I need to do (discuss, then upload to stable).

> Make sure your changes already hit unstable (possibly testing) if
> relevant, and that the BTS has proper version info otherwise.

Right. My plan for this was to start with a debdiff from stable to
unstable, then strip down any unrelated or unnecessary changes. I’ve
done this for mediawiki-extensions already, which gets me 216 lines
or 10.4K of unidiff plus changelog entry.

I’d like to fix #698438 (probably very important), #711887 (one-liner
from upstream that can just ride on this, severity:important), broken
VCS-* URLs, and the mediawiki-extensions half of #719208 with this;
the upload will need to be versioned like 3.5~deb7u1 due to package
relations (although this is larger than 3.5~bpo which may not be so
nice; it needs to be larger than 3.5~ though).

In mediawiki I’d like to fix all the security issues (mostly by using
the latest upstream LTS branch), plus:
- replace non-DFSG-free Creative Commons icons (RC)
- fixes to vcs-* and watch file
- fixes to README.Debian (#705107) and d/copyright
- #716884 (somewhat security-related)
- #719208 (RC, needs mediawiki-extensions upload to be coordinated)

Unsure whether to also include the Apache 2.4 compatibility.
Maybe people will want to run a backported Apache 2.4?

I can put together a proposed debdiff of all that too, and
then put them into the bug against release.debian.org and
have both reviewed (and, if necessary, things stripped out),
if that’s ok and everyone understands I’d start with the
larger changeset first.

tarent solutions GmbH
Rochusstraße 2-4, D-53123 Bonn • http://www.tarent.de/
Tel: +49 228 54881-393 • Fax: +49 228 54881-314
HRB 5168 (AG Bonn) • USt-ID (VAT): DE122264941
Geschäftsführer: Boris Esser, Sebastian Mancke

Reply to: